dilfridge 15/02/08 18:53:59
Modified: libreoffice-9999-r2.ebuild
libreoffice-4.2.9999.ebuild ChangeLog
libreoffice-4.3.9999.ebuild
Log:
Update live ebuilds for LibreOffice 4.4, thanks Andreas Sturmlechner
(Portage version: 2.2.15/cvs/Linux x86_64, signed Manifest commit with key
EBE6A336BE19039C!)
Revision Changes Path
1.237 app-office/libreoffice/libreoffice-9999-r2.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/libreoffice/libreoffice-9999-r2.ebuild?rev=1.237&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/libreoffice/libreoffice-9999-r2.ebuild?rev=1.237&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/libreoffice/libreoffice-9999-r2.ebuild?r1=1.236&r2=1.237
Index: libreoffice-9999-r2.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-9999-r2.ebuild,v
retrieving revision 1.236
retrieving revision 1.237
diff -u -r1.236 -r1.237
--- libreoffice-9999-r2.ebuild 29 Dec 2014 20:05:21 -0000 1.236
+++ libreoffice-9999-r2.ebuild 8 Feb 2015 18:53:59 -0000 1.237
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-9999-r2.ebuild,v
1.236 2014/12/29 20:05:21 dilfridge Exp $
+# $Header:
/var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-9999-r2.ebuild,v
1.237 2015/02/08 18:53:59 dilfridge Exp $
EAPI=5
@@ -27,7 +27,7 @@
# PATCHSET="${P}-patchset-01.tar.xz"
[[ ${PV} == *9999* ]] && SCM_ECLASS="git-2"
-inherit base multiprocessing autotools bash-completion-r1 check-reqs eutils
java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs
flag-o-matic nsplugins ${SCM_ECLASS}
+inherit base multiprocessing autotools bash-completion-r1 check-reqs eutils
java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs
flag-o-matic ${SCM_ECLASS}
unset SCM_ECLASS
DESCRIPTION="LibreOffice, a full office productivity suite"
@@ -61,7 +61,6 @@
ADDONS_SRC+=" ${ADDONS_URI}/d62650a6f908e85643e557a236ea989c-vigra1.6.0.tar.gz"
ADDONS_SRC+="
${ADDONS_URI}/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz" #
modifies source code
ADDONS_SRC+=" collada? (
${ADDONS_URI}/4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2
)"
-ADDONS_SRC+=" collada? ( ${ADDONS_URI}/OpenCOLLADA-master-6509aa13af.tar.bz2 )"
ADDONS_SRC+=" java? (
${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
ADDONS_SRC+=" libreoffice_extensions_wiki-publisher? (
${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )" # no release
for 8 years, should we package it?
ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? (
${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )" # Does not
build with 1.6 rhino at all
@@ -74,7 +73,7 @@
unset ADDONS_SRC
IUSE="bluetooth +branding coinmp collada +cups dbus debug eds firebird gltf
gnome gstreamer
-+gtk gtk3 jemalloc kde mysql odk opengl postgres telepathy test vlc"
++gtk gtk3 jemalloc kde mysql odk postgres telepathy test vlc"
LO_EXTS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher"
# Unpackaged separate extensions:
@@ -93,8 +92,6 @@
[[ ${PV} == *9999* ]] || \
KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
-# FIXME: collada? ( media-libs/opencollada )
-# how to configure system-collada?
COMMON_DEPEND="
${PYTHON_DEPS}
app-arch/zip
@@ -107,16 +104,16 @@
>=app-text/libetonyek-0.1.1
app-text/liblangtag
>=app-text/libmspub-0.1.0
- >=app-text/libmwaw-0.3.1
+ >=app-text/libmwaw-0.3.4
>=app-text/libodfgen-0.1.0
app-text/libwpd:0.10[tools]
app-text/libwpg:0.3
>=app-text/libwps-0.3.0
>=app-text/poppler-0.16:=[xpdf-headers(+),cxx]
>=dev-cpp/clucene-2.3.3.4-r2
- dev-cpp/libcmis:0.4
+ =dev-cpp/libcmis-0.5*
dev-db/unixODBC
- >=dev-libs/boost-1.46:=
+ >=dev-libs/boost-1.55:=
dev-libs/expat
>=dev-libs/hyphen-2.7.1
>=dev-libs/icu-4.8.1.1:=
@@ -136,6 +133,7 @@
>=media-libs/libpng-1.4
>=media-libs/libcdr-0.1.0
>=media-libs/libfreehand-0.1.0
+ media-libs/libpagemaker
>=media-libs/libvisio-0.1.0
>=net-misc/curl-7.21.4
net-libs/neon
@@ -146,8 +144,11 @@
x11-libs/libXinerama
x11-libs/libXrandr
x11-libs/libXrender
+ virtual/glu
+ virtual/opengl
bluetooth? ( net-wireless/bluez )
coinmp? ( sci-libs/coinor-mp )
+ collada? ( >=media-libs/opencollada-1.2.2_p20150207 )
cups? ( net-print/cups )
dbus? ( >=dev-libs/dbus-glib-0.92 )
eds? ( gnome-extra/evolution-data-server )
@@ -174,10 +175,6 @@
dev-java/tomcat-servlet-api:3.0
)
mysql? ( >=dev-db/mysql-connector-c++-1.1.0 )
- opengl? (
- virtual/glu
- virtual/opengl
- )
postgres? ( >=dev-db/postgresql-9.0[kerberos] )
telepathy? (
dev-libs/glib:2
@@ -245,7 +242,7 @@
PATCHES=(
# not upstreamable stuff
- "${FILESDIR}/${PN}-3.7-system-pyuno.patch"
+ "${FILESDIR}/${PN}-4.4-system-pyuno.patch"
)
REQUIRED_USE="
@@ -340,6 +337,11 @@
export PYTHON_CFLAGS=$(python_get_CFLAGS)
export PYTHON_LIBS=$(python_get_LIBS)
+ if use collada; then
+ export
OPENCOLLADA_CFLAGS="-I/usr/include/opencollada/COLLADABaseUtils
-I/usr/include/opencollada/COLLADAFramework
-I/usr/include/opencollada/COLLADASaxFrameworkLoader
-I/usr/include/opencollada/GeneratedSaxParser"
+ export OPENCOLLADA_LIBS="-L /usr/$(get_libdir)/opencollada
-lOpenCOLLADABaseUtils -lOpenCOLLADAFramework -lOpenCOLLADASaxFrameworkLoader
-lGeneratedSaxParser"
+ fi
+
# patchset
if [[ -n ${PATCHSET} ]]; then
EPATCH_FORCE="yes" \
@@ -359,7 +361,7 @@
-e "s:%eprefix%:${EPREFIX}:g" \
-e "s:%libdir%:$(get_libdir):g" \
-i pyuno/source/module/uno.py \
- -i scripting/source/pyprov/officehelper.py || die
+ -i pyuno/source/officehelper.py || die
# sed in the tests
sed -i \
-e 's#all : build unitcheck#all : build#g' \
@@ -441,7 +443,6 @@
# --enable-extension-integration: enable any extension integration
support
# --without-{fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
# --disable-report-builder: too much java packages pulled in without
pkgs
- # FIXME: $(use_with collada system-opencollada)
econf \
--docdir="${EPREFIX}/usr/share/doc/${PF}/" \
--with-system-headers \
@@ -499,17 +500,17 @@
$(use_enable gnome gconf) \
$(use_enable gnome gio) \
$(use_enable gnome lockdown) \
- $(use_enable gstreamer) \
+ $(use_enable gstreamer gstreamer-1-0) \
$(use_enable gtk) \
$(use_enable gtk3) \
$(use_enable kde kde4) \
$(use_enable mysql ext-mariadb-connector) \
$(use_enable odk) \
- $(use_enable opengl) \
$(use_enable postgres postgresql-sdbc) \
$(use_enable telepathy) \
$(use_enable vlc) \
$(use_with coinmp system-coinmp) \
+ $(use_with collada system-opencollada) \
$(use_with gltf system-libgltf) \
$(use_with java) \
$(use_with mysql system-mysql-cppconn) \
@@ -567,9 +568,6 @@
echo
"CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" >
"${ED}"/etc/env.d/99${PN}
fi
- # symlink the nsplugin to proper location
- # use gtk && inst_plugin
/usr/$(get_libdir)/libreoffice/program/libnpsoplugin.so
-
# Hack for offlinehelp, this needs fixing upstream at some point.
# It is broken because we send --without-help
# https://bugs.freedesktop.org/show_bug.cgi?id=46506
@@ -579,6 +577,10 @@
# Remove desktop files for support to old installs that can't parse mime
rm -rf "${ED}"/usr/share/mimelnk/
+ # FIXME: Hack add missing file
+ insinto /usr/$(get_libdir)/${PN}/program
+ doins "${S}"/instdir/program/libsaxlo.so
+
pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
pax-mark -m "${ED}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
}
1.33 app-office/libreoffice/libreoffice-4.2.9999.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/libreoffice/libreoffice-4.2.9999.ebuild?rev=1.33&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/libreoffice/libreoffice-4.2.9999.ebuild?rev=1.33&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/libreoffice/libreoffice-4.2.9999.ebuild?r1=1.32&r2=1.33
Index: libreoffice-4.2.9999.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.2.9999.ebuild,v
retrieving revision 1.32
retrieving revision 1.33
diff -u -r1.32 -r1.33
--- libreoffice-4.2.9999.ebuild 29 Dec 2014 20:05:21 -0000 1.32
+++ libreoffice-4.2.9999.ebuild 8 Feb 2015 18:53:59 -0000 1.33
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.2.9999.ebuild,v
1.32 2014/12/29 20:05:21 dilfridge Exp $
+# $Header:
/var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.2.9999.ebuild,v
1.33 2015/02/08 18:53:59 dilfridge Exp $
EAPI=5
@@ -110,7 +110,7 @@
=app-text/libwps-0.2*
>=app-text/poppler-0.16:=[xpdf-headers(+),cxx]
>=dev-cpp/clucene-2.3.3.4-r2
- dev-cpp/libcmis:0.4
+ =dev-cpp/libcmis-0.4*
dev-db/unixODBC
>=dev-libs/boost-1.46:=
dev-libs/expat
1.608 app-office/libreoffice/ChangeLog
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/libreoffice/ChangeLog?rev=1.608&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/libreoffice/ChangeLog?rev=1.608&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/libreoffice/ChangeLog?r1=1.607&r2=1.608
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-office/libreoffice/ChangeLog,v
retrieving revision 1.607
retrieving revision 1.608
diff -u -r1.607 -r1.608
--- ChangeLog 4 Jan 2015 14:41:22 -0000 1.607
+++ ChangeLog 8 Feb 2015 18:53:59 -0000 1.608
@@ -1,6 +1,11 @@
# ChangeLog for app-office/libreoffice
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/ChangeLog,v 1.607
2015/01/04 14:41:22 dilfridge Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/ChangeLog,v 1.608
2015/02/08 18:53:59 dilfridge Exp $
+
+ 08 Feb 2015; Andreas K. Huettel <[email protected]>
+ libreoffice-4.2.9999.ebuild, libreoffice-4.3.9999.ebuild,
+ libreoffice-9999-r2.ebuild, +files/libreoffice-4.4-system-pyuno.patch:
+ Update live ebuilds for LibreOffice 4.4, thanks Andreas Sturmlechner
04 Jan 2015; Andreas K. Huettel <[email protected]>
libreoffice-4.3.5.2.ebuild, libreoffice-4.3.9999.ebuild,
1.12 app-office/libreoffice/libreoffice-4.3.9999.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/libreoffice/libreoffice-4.3.9999.ebuild?rev=1.12&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/libreoffice/libreoffice-4.3.9999.ebuild?rev=1.12&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-office/libreoffice/libreoffice-4.3.9999.ebuild?r1=1.11&r2=1.12
Index: libreoffice-4.3.9999.ebuild
===================================================================
RCS file:
/var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.3.9999.ebuild,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- libreoffice-4.3.9999.ebuild 4 Jan 2015 14:41:22 -0000 1.11
+++ libreoffice-4.3.9999.ebuild 8 Feb 2015 18:53:59 -0000 1.12
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header:
/var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.3.9999.ebuild,v
1.11 2015/01/04 14:41:22 dilfridge Exp $
+# $Header:
/var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.3.9999.ebuild,v
1.12 2015/02/08 18:53:59 dilfridge Exp $
EAPI=5
@@ -114,7 +114,7 @@
>=app-text/libwps-0.3.0
>=app-text/poppler-0.16:=[xpdf-headers(+),cxx]
>=dev-cpp/clucene-2.3.3.4-r2
- dev-cpp/libcmis:0.4
+ =dev-cpp/libcmis-0.4*
dev-db/unixODBC
>=dev-libs/boost-1.46:=
dev-libs/expat